###
 # @Author: your name
 # @Date: 2020-07-02 10:34:59
 # @LastEditTime: 2022-02-25 15:02:07
 # @LastEditors: JinxChen
 # @Description: In User Settings Edit
 # @FilePath: \AntpayFrontEnd\setup_test.sh
###
#!/bin/bash
npm -v
npm config set registry https://registry.npm.taobao.org
npm install
npm run build-test
image_version=$version;
# 删除镜像
docker rmi -f $(
  docker images | grep 139.224.254.18:5000/antpay_frontend_web | awk '{print $3}'
)
# 构建telpo/mrp:$image_version镜像
docker build --no-cache . -t telpo/antpay_frontend_web:$image_version;
#TODO:推送镜像到私有仓库
echo '=================开始推送镜像======================='
docker tag telpo/antpay_frontend_web:$image_version 139.224.254.18:5000/antpay_frontend_web:$image_version
docker push 139.224.254.18:5000/antpay_frontend_web:$image_version
echo '=================推送镜像完成======================='
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images;